# AkismetComment

constructor(request: <Error class: unknown class>)(source)

Creates a new instance extracting the userIp, userAgent, referrer and serverEnv environment variables from a Servlet request.

See the Akismet API for more details.

#### See also

AkismetComment.serverEnv

constructor(userIp: String , userAgent: String )(source)

Creates a new instance.

See the Akismet API for more details.

#### Parameters

userIp

IP address of the comment submitter.

userAgent

User agent string of the web browser submitting the comment.